Skip to content

HPE Greenlake for File Storage REST APIs (1.0.0)

HPE Greenlake for File Storage REST APIs

Download OpenAPI description
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/file-storage/public/openapi/file-storage-public-v1alpha1/file-storage-api/

file-shares

Refers to a collection of file shares. A file share is a specific folder in a filesystem. It includes that folder's subfolders, which can be made accessible to clients via protocols like NFS and SMB.

Operations

file-systems

Refers to a collection of filesystems.

Operations

fileshare-settings

File share settings APIs

Operations

fileshares

Refers to a collection of file shares. A file share is a specific folder in a filesystem. It includes that folder's subfolders, which can be made accessible to clients via protocols like NFS and SMB.

Operations

filesystems

Refers to a collection of filesystems.

Operations

List all the filesystems on the HPE Alletra MP B10000 storage system identified by `{systemId}`.

Request

List all the filesystems on HPE Alletra MP B10000 Storage System identified by {systemId}

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

Query
limitinteger[ 0 .. 5000 ]

Number of items to return at a time

Default 100
Example: limit=10
offsetinteger[ 0 .. 100000 ]

The offset of the first item in the collection to return

Default 0
Example: offset=5
filterstring

The filter query parameter is used to filter the set of resources returned in the response. The returned set of resources must match the criteria in the filter query parameter. A comparison compares a property name to a literal. The comparisons supported are the following:

  • “eq” : Is a property equal to value. Valid for number, boolean and string properties.
  • “gt” : Is a property greater than a value. Valid for number or string timestamp properties.
  • “lt” : Is a property less than a value. Valid for number or string timestamp properties
  • “in” : Is a value in a property (that is an array of strings) Examples: GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems?filter=name eq 'FS1' Filters are supported on the following attributes:
  • state
  • prov
  • name
  • shareCount
  • id
  • generation
sortstring

A comma-separated list of properties to sort by, followed by a direction indicator ("asc" or "desc"). If no direction indicator is specified the default order is ascending. Sorting is supported for the following attributes:

  • name
  • createdAt Example: GET /file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems?sort=name desc
curl -i -X GET \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
countintegerrequired

Number of items in this response.

offsetintegerrequired

The offset query parameter from the request.

itemsArray of objects(ArcusFilesystem)required
items[].​idstringrequired

Unique identifier of the Filesystem

Example: "7CE751P312"
items[].​typestringread-onlyrequired

The type of resource.

items[].​commonResourceAttributesobject(fileCommonResourceAttributes)
items[].​createdAtobject

Creation time

items[].​customerIdstring

The identifier of the customer application

items[].​detailedStatestring

Filesystem detailed state

Example: "STATE_NORMAL"
items[].​filesystemIdinteger

filesystem ID

Example: 1
items[].​filesystemTypestring

Filesystem type

Example: "XFS"
items[].​fsmasterinteger

Master node (owner) of the filesystem.

Example: 1
items[].​generationinteger(int64)read-only

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

items[].​isCompressionEnabledboolean

Specifies if compression is enabled on this filesystem.

Example: true
items[].​isDedupeEnabledboolean

Specifies if deduplication is enabled on this filesystem.

Example: true
items[].​isReductionEnabledboolean

Specifies if data reduction is enabled on this filesystem.

Example: true
items[].​namestring

Filesystem name

Example: "FS1"
items[].​provstring

Provisioning type

Example: "tdvv"
items[].​replicantinteger

First failover node of the filesystem.

Example: 1
items[].​replicant2integer

Second failover node of the filesystem.

Example: 1
items[].​replicant3integer

Third failover node of the filesystem.

Example: 1
items[].​resourceUristring

Resource URI of the filesystem

items[].​shareCountinteger

Number of shares associated with the filesystem

Example: 1
items[].​statestring

Filesystem state

Example: "NORMAL"
items[].​systemIdstring

SystemUid of the storage system.

Example: "7CE751P312"
items[].​systemWwnstring

WWN of Storage System

Example: "7CE751P312"
items[].​volumeDetailsArray of objects(VolumeDetails)
totalinteger

Total number of items matching the filter parameter in the request.

Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }

Delete a filesystem identified by {filesystemId} on a HPE Alletra MP B10000 storage system identified by {systemId}

Request

Delete the filesystem identified by {filesystemId} on the HPE Alletra MP B10000 storage system identified by {systemId}. The response includes a task URI in the Location header that you can use to monitor the operation.

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

filesystemIdstringrequired

Unique identifier of the filesystem

curl -i -X DELETE \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Accepted. The response includes a task URI in the Location header that you can use to monitor the operation.

Headers
Locationstring

This contains the URI of the task used to monitor the request

Bodyapplication/json
taskUristringrequired

Task URI which can be used to monitor the status of the operation.

Example: "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c"
messagestring

The task message

Example: "Successfully submitted"
statusstring

Status of the task

Example: "SUBMITTED"
Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }

Fetch details of the filesystem identified by `{filesystemId}` on the HPE Alletra MP B10000 storage system identified by `{systemId}`.

Request

Fetch details of the filesystem identified by {filesystemId} on the HPE Alletra MP B10000 storage system identified by {systemId}.

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

filesystemIdstringrequired

Unique identifier of the filesystem

curl -i -X GET \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
idstringrequired

Unique identifier of the Filesystem

Example: "7CE751P312"
typestringread-onlyrequired

The type of resource.

filesystemCapacityobject(ArcusFilesystemCapacity)
filesystemPerformanceobject(ArcusFilesystemPerformance)
commonResourceAttributesobject(fileCommonResourceAttributes)
createdAtobject

Creation time

customerIdstring

The identifier of the customer application

detailedStatestring

Filesystem detailed state

Example: "STATE_NORMAL"
filesystemIdinteger

filesystem ID

Example: 1
filesystemTypestring

Filesystem type

Example: "XFS"
fsmasterinteger

Master node (owner) of the filesystem.

Example: 1
generationinteger(int64)read-only

A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.

isCompressionEnabledboolean

Specifies if compression is enabled on this filesystem.

Example: true
isDedupeEnabledboolean

Specifies if deduplication is enabled on this filesystem.

Example: true
isReductionEnabledboolean

Specifies if data reduction is enabled on this filesystem.

Example: true
namestring

Filesystem name

Example: "FS1"
provstring

Provisioning type

Example: "tdvv"
replicantinteger

First failover node of the filesystem.

Example: 1
replicant2integer

Second failover node of the filesystem.

Example: 1
replicant3integer

Third failover node of the filesystem.

Example: 1
resourceUristring

Resource URI of the filesystem

shareCountinteger

Number of shares associated with the filesystem

Example: 1
statestring

Filesystem state

Example: "NORMAL"
systemIdstring

SystemUid of the storage system.

Example: "7CE751P312"
systemWwnstring

WWN of Storage System

Example: "7CE751P312"
volumeDetailsArray of objects(VolumeDetails)
Response
application/json
{ "filesystemCapacity": { "compressionRatio": 0, "freeSizeInMiB": 0, "savingsRatio": 0, "sizeInMiB": 0, "usedCapacityPercentage": 0, "usedSizeInMiB": 0, "vvSizeInMiB": 100 }, "filesystemPerformance": { "iops": { … }, "latencyMs": { … }, "throughputKbps": { … } }, "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "string", "errMessage": "string" }, "createdAt": { "ms": 0, "tz": "string" }, "customerId": "string", "detailedState": "STATE_NORMAL", "filesystemId": 1, "filesystemType": "XFS", "fsmaster": 1, "generation": 0, "id": "7CE751P312", "isCompressionEnabled": true, "isDedupeEnabled": true, "isReductionEnabled": true, "name": "FS1", "prov": "tdvv", "replicant": 1, "replicant2": 1, "replicant3": 1, "resourceUri": "string", "shareCount": 1, "state": "NORMAL", "systemId": "7CE751P312", "systemWwn": "7CE751P312", "type": "string", "volumeDetails": [ { … } ] }

Get filesystem capacity trend data of filesystem identified by {filesystemId} on HPE Alletra MP B10000 Storage System identified by {systemId}

Request

Get capacity trend data for the filesystem identified by {filesystemId} on HPE Alletra MP B10000 Storage System identified by {systemId}. Use the select, range, and timeintervalmin query parameters to refine the request.

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

filesystemIdstringrequired

Unique identifier of the filesystem

Query
selectstring

Query to select only the required parameters, separated by . if nested

Example: select=id
rangestring

Defines the start and end time for the query.

Example: range=startTime eq 1605063600 and endTime eq 1605186000
timeintervalmininteger

It defines granularity in minutes.

Enum5601440
Example: timeintervalmin=60
curl -i -X GET \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/capacity-history' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
itemsArray of objects(DeviceType4FilesystemCapacityHistory)required
items[].​typestringrequired

The type of resource.

Example: "string"
items[].​idstringrequired

Unique resource identifier

items[].​capacityDataobject
items[].​commonResourceAttributesobject(fileCommonResourceAttributes)
items[].​endTimeinteger

End time of the capacity history

Example: 1625209133
items[].​startTimeinteger

Start time of the capacity history

Example: 1625122733
countintegerrequired

Number of items in this response

offsetintegerrequired

The offset query parameter from the request

totalinteger

Total number of items matching the filter parameter in the request

Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }

Get performance trend data of filesystem identified by {filesystemId} on HPE Alletra MP B10000 Storage System identified by {systemId}

Request

Retrieves historical performance metrics for the filesystem identified by {filesystemId} on HPE Alletra MP B10000 Storage System identified by {systemId}. Use the select, range, and timeintervalmin query parameters to refine the request.

Security
bearer
Path
systemIdstringrequired

systemId of the storage system

filesystemIdstringrequired

Unique identifier of the filesystem

Query
selectstring

Query to select only the required parameters, separated by . if nested

Example: select=id
rangestring

Defines the start and end time for the query.

Example: range=startTime eq 1605063600 and endTime eq 1605186000
timeintervalmininteger

It defines granularity in minutes.

Enum5601440
Example: timeintervalmin=60
curl -i -X GET \
  'https://eu1.data.cloud.hpe.com/file-storage/v1alpha1/devtype4-storage-systems/{systemId}/filesystems/{filesystemId}/performance-history' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
itemsArray of objects(DeviceType4FilesystemPerformanceHistory)required
items[].​typestringrequired

The type of resource.

Example: "string"
items[].​idstringrequired

Unique resource identifier.

items[].​commonResourceAttributesobject(fileCommonResourceAttributes)
items[].​customerIdstring

The identifier of the customer application

Example: "fc5f41652a53497e88cdcebc715cc1cf"
items[].​endTimeinteger

End time of history data

Example: 162564271
items[].​historyDataobject

performance history data

items[].​startTimeinteger

start time of history data

Example: 1625556314
countintegerrequired

Number of items in this response

offsetintegerrequired

The offset query parameter from the request

totalinteger

Total number of items matching the filter parameter in the request

Response
application/json
{ "count": 0, "items": [ { … } ], "offset": 0, "total": 0 }